function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}


var gSvgFigWinwidth_con;

var gSvgFigObj;

var gSvgMin = 115;

var gSvgMax = 500;

var gSvgFigSizeIndex_con = new Array(0.5 , 0.75 , 1 , 1.25 , 1.5 , 1.75 , 2);

var gSvgFigSizeIndexNomal_con = 2;

var gSvgFigSizeIndexNow_con;

var gSvgFigIniWidthSize = 0;

var gViewWidth;
var gViewHeight;

var svgObj;

var gsvgCnt = 0;

var gSvgFigChangeFlag;

var gSvgFigIniFlag = 0;


function ConFigld()
{
	parent.gConSvgLoadFlag = 1;
	parent.gConSvgLoadFlag2 = 1;
	parent.gConSvgLoadFlag3 = 1;
	parent.gConSvgLoadFlag4 = 1;
}


function PreSetConFigIni(info)
{
	if(gSvgFigChangeFlag != 1)
	{
		SVG_ConiniSet(info);
	}
	
	gSvgFigChangeFlag = 0;
}


function SVG_ConiniSet(info)
{
	gSvgFigObj = window.parent.info.document.getElementsByTagName('embed');

	var length = gSvgFigObj.length;

	for(var i = 0; i < length; i++)
	{
		svgObj = gSvgFigObj[i];

		SVG_ConObj('',svgObj);

		if(gSvgFigWinwidth_con < gSvgMin)
		{
			gSvgFigWinwidth_con = gSvgMin;
		}

		if(gSvgFigWinwidth_con > gSvgMax)
		{
			svgObj.width = gSvgMax;
		}
		else
		{
			svgObj.width = gSvgFigWinwidth_con;
		}
		svgObj.height = svgObj.width * gViewHeight / gViewWidth;

		gSvgFigIniWidthSize = svgObj.width;

	}

	gSvgFigSizeIndexNow_con = gSvgFigSizeIndexNomal_con;

	if(parent.navicon)
	{
		parent.navicon.SVG_SetTransform(gSvgFigWinwidth_con,gSvgFigIniWidthSize,gSvgFigSizeIndexNow_con,gViewWidth,gViewHeight);
	}

	gSvgFigIniFlag = 1;

}

function SVG_ConObj(navi,svgObj)
{
	gSvgFigWinwidth_con = window.parent.info.document.body.clientWidth - 15;

	var svgFigObjRootElem = svgObj.getSVGDocument().rootElement;

	if(svgFigObjRootElem != null)
	{
		gViewWidth = svgFigObjRootElem.getAttribute('width');
		gViewHeight = svgFigObjRootElem.getAttribute('height');
	}
	
}


